<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order_surveys', function (Blueprint $table) {
            $table->id();
            $table->integer('survey_id')->unsigned()->comment("问卷调查id");
            $table->integer('order_id')->unsigned()->comment("订单id");
            $table->string('chat_id')->nullable()->comment("企业微信群id");
            $table->text('content')->nullable()->comment("内容");
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order_surveys');
    }
};
